# Generated from gridlines-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gridlines

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Gridlines creates colored regions indicated where rows and columns are located
License: MIT
URL: https://webteamuniversity.github.io/gridlines/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Gridlines helps developers with structuring and aligning the content of their
site during development. It comes pre-configured to work with the most popular
CSS frameworks, Bootstrap, Foundation, and Semantic UI. As you create rows and
columns for displaying content gridlines will automatically add color and
outlines. This makes it easy to properly align items and see the current
restraints of the grid. .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Mon Aug 23 2021 mockbuilder - 0.1.0-1
- Initial package
